Name:           indicator-keylock
Version:        3.1.0
Release:        %mkrel 1
Summary:        Indicator for Lock Keys
Group:		Graphical desktop/Mate
License:        GPLv3+
URL:            https://launchpad.net/ubuntu/+source/indicator-keylock
Source0:        https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{version}.tar.xz
Source1:	keylock-icons.tar.xz
Source2:	keylock.png
Patch0:		%name-pclos.patch
#------------------------------------------
BuildRequires:  autoconf
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libgtk+3.0-devel
BuildRequires:  libglib2.0-devel
BuildRequires:  libunique3.0-devel
BuildRequires:  libappindicator3-devel
BuildRequires:  libnotify-devel
#------------------------------------------

%description
An appindicator for showing the status of the keyboard lock keys,
including Caps Lock, Num Lock and Scroll Lock.

%prep
%setup -q
%patch0 -p1
pushd pixmaps/Numix
tar -xJf %SOURCE1
popd

%build
#autoreconf -fi
./autogen.sh
%configure2_5x
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 0644 %SOURCE2 %{buildroot}%{_datadir}/pixmaps/keylock.png

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc AUTHORS COPYING debian/changelog
%{_sysconfdir}/xdg/autostart/%name.desktop
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/glib-2.0/schemas/apps.indicators.keylock.gschema.xml
%{_iconsdir}/*/*/*/*lock*.*
%{_datadir}/%{name}/ui/*
%{_datadir}/pixmaps/keylock.png


%changelog
* Thu Dec 25 2018 adrianomorselli <adrianomorselli> 3.1.0-1uplos2019
- imported for uplos
